VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status Class Reference

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status` enumerated type defines the error status constants for the probe result. Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::SUCCESS # Indicates that the probe was successful. Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::INVALID_URL # Indicates that the supplied URL was not valid. Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::TIMED_OUT # Indicates that the probe timed out while attempting to connect to the URL. Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::HOST_NOT_FOUND # Indicates that the host in the URL could not be found. Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::RESOURCE_NOT_FOUND # Indicates that the given resource at the URL was not found. Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::INVALID_CREDENTIALS # Indicates that the connection was rejected due to invalid credentials. Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::CERTIFICATE_ERROR # Indicates that the provided server certificate thumbprint in :attr:`Com::Vmware::Content::Library::SubscriptionInfo.ssl_thumbprint` is invalid. In this case, the returned null should be set in :attr:`Com::Vmware::Content::Library::SubscriptionInfo.ssl_thumbprint` . Constant Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::UNKNOWN_ERROR # Indicates an unspecified error different from the other error cases defined in class Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status .

## Member Function Documentation

public method Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.content.subscribed_library.probe_result.status',
'binding_class' => 'Com::Vmware::Content::SubscribedLibrary::ProbeResult::Status');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}
1;
#########################################################################################
# Ends structures for the Com::Vmware::Content::SubscribedLibrary service
#########################################################################################

The documentation for this class was generated from the following file:

- Com/Vmware/Content/SubscribedLibrary.pm